summaryrefslogtreecommitdiff
path: root/utils/jenkins-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/jenkins-build.sh')
-rwxr-xr-xutils/jenkins-build.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/utils/jenkins-build.sh b/utils/jenkins-build.sh
index b6ca21dd7..14983a205 100755
--- a/utils/jenkins-build.sh
+++ b/utils/jenkins-build.sh
@@ -357,6 +357,22 @@ case ${TARGET} in
PKG_SFX=
;;
+ "kolibrios")
+ case ${HOST} in
+ "kos32-gcc")
+ BUILD_CC := kos32-gcc
+ CC := kos32-gcc
+ AR := kos32-ar
+ LD := kos32-ld
+ ;;
+
+ *)
+ echo "Target \"${TARGET}\" cannot be built on \"${HOST})\""
+ exit 1
+ ;;
+ esac
+ ;;
+
*)
# TARGET must be in the environment and set correctly
echo "Unkown TARGET \"${TARGET}\""